Data Sources - Delete
Deletes a datasource.
DELETE {endpoint}/datasources('{dataSourceName}')?api-version=2023-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
data
|
path | True |
string |
The name of the datasource to delete. |
|
endpoint
|
path | True |
string |
The endpoint URL of the search service. |
|
api-version
|
query | True |
string |
Client Api Version. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| x-ms-client-request-id |
string (uuid) |
The tracking ID sent with the request to help with debugging. |
|
| If-Match |
string |
Defines the If-Match condition. The operation will be performed only if the ETag on the server matches this value. |
|
| If-None-Match |
string |
Defines the If-None-Match condition. The operation will be performed only if the ETag on the server does not match this value. |
Responses
| Name | Type | Description |
|---|---|---|
| 204 No Content | ||
| 404 Not Found | ||
| Other Status Codes |
Error response. |
Examples
SearchServiceDeleteDataSource
Sample request
DELETE https://myservice.search.windows.net/datasources('mydatasource')?api-version=2023-11-01
Sample response
Definitions
SearchError
Describes an error condition for the API.
| Name | Type | Description |
|---|---|---|
| code |
string |
One of a server-defined set of error codes. |
| details |
An array of details about specific errors that led to this reported error. |
|
| message |
string |
A human-readable representation of the error. |